#!/bin/bash
#
# written by Thorsten Glebe, Aug. 1999
# Max-Planck-Institut of Nuclear Physics
# Heidelberg / Germany
#
# Script to do a 'make clean' in all packages

DIR=`dirname $0`
source $DIR/util.sh

set_make
PACK_FILE=$LIBROOT/PACKAGES

#
# collect executables 
#
for i in `cat $PACK_FILE | ${AWK} '!/^[ ]*#.*$/ && $2 ~ /\/[0-9]+-[0-9]+/ {gsub("/",".",$2); print $1"+"substr($2,2)}'`; do
    NAME=`echo $i | cut -d+ -f1`
    VERS=`echo $i | cut -d+ -f2`
    NDIR=$ITRROOT/packages/$NAME/$NAME$VERS/src
    if [ -d "$NDIR" ]; then
      cd $NDIR
    else
      warn "No directory $NDIR found"
    fi 
    echo "#"
    echo "# clean Package ${NAME}${VERS}"
    echo "#"
    $MAKE clean
done

exit 0
